Package icyllis.arc3d.engine.trash

# Class PipelineKey_old

java.lang.Object
icyllis.arc3d.engine.Key
icyllis.arc3d.engine.KeyBuilder
icyllis.arc3d.engine.trash.PipelineKey_old

@Deprecated public final class PipelineKey_old extends KeyBuilder
Deprecated.
This class is used to generate a generic pipeline cache key. Also used to lookup pipeline state objects in cache.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.Key

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PipelineKey_old()`
  Deprecated.
  `PipelineKey_old(PipelineKey_old other)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PipelineKey_old`
  `build(PipelineKey_old desc, GraphicsPipelineDesc_Old info, Caps caps)`
  Deprecated.
  Builds a base pipeline descriptor, without additional information.
  `int`
  `getShaderKeyLength()`
  Deprecated.
  Returns the number of ints of the base key, without additional information.

  ### Methods inherited from class icyllis.arc3d.engine.KeyBuilder

  `addBits, addBool, addInt, addInt32, addInts, clear, equals, flush, hashCode, isEmpty, size, toStorageKey, trim`

  ### Methods inherited from class icyllis.arc3d.engine.Key

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PipelineKey_old

    public PipelineKey_old()
    Deprecated.

  - ### PipelineKey_old

    public PipelineKey_old(PipelineKey_old other)
    Deprecated.

- ## Method Details

  - ### getShaderKeyLength

    public int getShaderKeyLength()
    Deprecated.
    Returns the number of ints of the base key, without additional information. The key in this range describes the shader module info. OpenGL has no additional information, but Vulkan has.

    Because Vulkan encapsulates some states into an immutable structure, we have to collect additional information to form the cache key.

  - ### build

    @Nonnull public static PipelineKey_old build(PipelineKey_old desc, GraphicsPipelineDesc_Old info, Caps caps)
    Deprecated.
    Builds a base pipeline descriptor, without additional information.
    Parameters:
      `desc` - the pipeline descriptor
      `info` - the pipeline information
      `caps` - the context capabilities